get consumer's profile
1 min
GET
https://api.upstartcommerce.com/v1/customer/profile/{customerId}
customerIdstringUnique identifier for the consumer that the call should be interacting with.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
200<p>Success-profile returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request GET \
--url https://api.upstartcommerce.com/v1/customer/profile/{customerId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'